Bug 461861 - Search via Internet doesn't work properly - dialog defective
Summary: Search via Internet doesn't work properly - dialog defective
Status: RESOLVED FIXED
Alias: None
Product: tellico
Classification: Applications
Component: general (show other bugs)
Version: 3.4.4
Platform: Manjaro Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Robby Stephenson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-11-15 07:39 UTC by Martin Senftleben
Modified: 2023-01-13 02:27 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 3.4.6


Attachments
snapshot of search dialog (7.97 KB, image/png)
2023-01-11 15:48 UTC, Martin Senftleben
Details
Second Snapshot (8.06 KB, image/png)
2023-01-11 15:49 UTC, Martin Senftleben
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Senftleben 2022-11-15 07:39:39 UTC
SUMMARY
***
After I started tellico in order to add new books, I open the Internet Search. Previously, I could select by a combo-box wether to search for ISBN, title or other things. Now, this combo box is empty. Mostly, after I opened the settings and went to data sources, I can open the Search Internet dialog again and find the combo box filled with the options that should be there already the first time, when I opened it. 
***


STEPS TO REPRODUCE
1. Start tellico
2. open "Search Internet"
3. check the combo box right of the search field

OBSERVED RESULT

There are no options in the combo box

EXPECTED RESULT

there are options available like ISBN, Title, person, keyword or LCCN

SOFTWARE/OS VERSIONS
Windows: 
macOS: 
Linux/KDE Plasma: 5.99.0
(available in About System)
KDE Plasma Version: 5.99.0
KDE Frameworks Version: 
Qt Version: 5.15.6

ADDITIONAL INFORMATION

After opening settings - tellico (last option in the settings menu) and going to data sources, maybe also changing the selection in the list to "all sources", and then opening the Internet Search again, the options are there in the combo box.
Comment 1 Robby Stephenson 2022-11-22 03:25:29 UTC
(In reply to Martin Senftleben from comment #0)
> SUMMARY
> ***
> After I started tellico in order to add new books, I open the Internet
> Search. Previously, I could select by a combo-box wether to search for ISBN,
> title or other things. Now, this combo box is empty. Mostly, after I opened
> the settings and went to data sources, I can open the Search Internet dialog
> again and find the combo box filled with the options that should be there
> already the first time, when I opened it. 
> ***
> 
> 
> STEPS TO REPRODUCE
> 1. Start tellico
> 2. open "Search Internet"
> 3. check the combo box right of the search field
> 
> OBSERVED RESULT
> 
> There are no options in the combo box

I haven't been able to reproduce this quite yet. This happens every time you open your book collection file from Tellico? How are you opening Tellico when it shows up? Thanks for the help.
Comment 2 Martin Senftleben 2023-01-11 15:48:40 UTC
Created attachment 155211 [details]
snapshot of search dialog

This is how it first appears
Comment 3 Martin Senftleben 2023-01-11 15:49:17 UTC
Created attachment 155212 [details]
Second Snapshot
Comment 4 Martin Senftleben 2023-01-11 15:52:35 UTC
I fiddled around a little. First to your question, which I obviously missed: I call Tellico from the desktop via an icon. The call goes like:

tellico -qwindowtitle %c %u

The arguments weren't added by me, and removing them doesn't change anything. I now noticed that when I change the datasource, which was set to "search all" (alles durchsuchen), to something else, the combo box for what to search for gets filled. So it seems only to be related to this setting "search all".
Comment 5 Robby Stephenson 2023-01-11 16:24:57 UTC
(In reply to Martin Senftleben from comment #4)
> I now noticed that when I change the datasource, which was set to
> "search all" (alles durchsuchen), to something else, the combo box for what
> to search for gets filled. So it seems only to be related to this setting
> "search all".

Ah, good detail, that helps me poke a little further. Thanks.
Comment 6 Robby Stephenson 2023-01-13 02:25:49 UTC
Git commit bfa415bebb04607834c0f9560bf39c42ae114bf2 by Robby Stephenson.
Committed on 13/01/2023 at 02:25.
Pushed by rstephenson into branch '3.4'.

Ensure children sources are read for multisource fetcher prior to config

The fetch dialog ends up calling Fetch::Manager::canSearch to set the
search types in the window. Ensure that multi-source fetchers read their
children configruation before responding to ::canSearch
FIXED-IN: 3.4.6

M  +4    -0    ChangeLog
M  +2    -0    src/fetch/multifetcher.cpp

https://invent.kde.org/office/tellico/commit/bfa415bebb04607834c0f9560bf39c42ae114bf2
Comment 7 Robby Stephenson 2023-01-13 02:27:03 UTC
Git commit 62493fb366f0c16bb6e539d975a5c4932134845a by Robby Stephenson.
Committed on 13/01/2023 at 02:26.
Pushed by rstephenson into branch 'master'.

Ensure children sources are read for multisource fetcher prior to config

The fetch dialog ends up calling Fetch::Manager::canSearch to set the
search types in the window. Ensure that multi-source fetchers read their
children configruation before responding to ::canSearch
FIXED-IN: 3.4.6

M  +4    -0    ChangeLog
M  +2    -0    src/fetch/multifetcher.cpp

https://invent.kde.org/office/tellico/commit/62493fb366f0c16bb6e539d975a5c4932134845a